import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  path: z.string(),
  isActive: z.boolean().optional(),
  createdAt: z.coerce.date().optional()
}).strict();
export const BackupDestinationCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.BackupDestinationCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationCreateWithoutUserInput>;
export const BackupDestinationCreateWithoutUserInputObjectZodSchema = makeSchema();
